Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5103)
@@ -12,5 +12,5 @@
   INTEGER, ALLOCATABLE, DIMENSION(:), SAVE :: nptabij
   INTEGER, SAVE :: itau_iophy
-  LOGICAL :: check_dim = .false.
+  LOGICAL :: check_dim = .FALSE.
 
 !$OMP THREADPRIVATE(itau_iophy)
@@ -43,7 +43,5 @@
   USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, grid_type, unstructured
   USE print_control_mod, ONLY: prt_level,lunout 
-#ifdef CPP_IOIPSL
     USE ioipsl, ONLY: flio_dom_set
-#endif
   use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init, using_xios
     IMPLICIT NONE
@@ -200,5 +198,5 @@
     
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-    call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
+    CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
                       'APPLE',phys_domain_id)
 #endif
@@ -324,5 +322,5 @@
     DO i=1,pim
 
-!    print*,'CFMIP_iophy i tabij lon lat',i,tabij(i),plon(i),plat(i)
+!    PRINT*,'CFMIP_iophy i tabij lon lat',i,tabij(i),plon(i),plat(i)
 
      plon_bounds(i,1)=rlon_glo(tabij(i)-1)
@@ -346,6 +344,6 @@
      plat_bounds(i,2)=rlat_glo(tabij(i)+nbp_lon)
 
-!    print*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon_glo(tabij(i)),plon_bounds(i,2) 
-!    print*,'CFMIP_iophy point i lat lat_bds',i,plat_bounds(i,1),rlat_glo(tabij(i)),plat_bounds(i,2) 
+!    PRINT*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon_glo(tabij(i)),plon_bounds(i,2)
+!    PRINT*,'CFMIP_iophy point i lat lat_bds',i,plat_bounds(i,1),rlat_glo(tabij(i)),plat_bounds(i,2)
 
     ENDDO
@@ -370,5 +368,5 @@
 
     DO i=1,pim
-!    print*,'CFMIP_iophy i tabij lon lat',i,tabij(i),plon(i),plat(i)
+!    PRINT*,'CFMIP_iophy i tabij lon lat',i,tabij(i),plon(i),plat(i)
 
      plon_bounds(i,1)=zx_lon(ipt(i)-1,jpt(i))
@@ -397,6 +395,6 @@
      ENDIF
 
-!    print*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon(tabij(i)),plon_bounds(i,2) 
-!    print*,'CFMIP_iophy point i lat lat_bds',i,plat_bounds(i,1),rlat(tabij(i)),plat_bounds(i,2) 
+!    PRINT*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon(tabij(i)),plon_bounds(i,2)
+!    PRINT*,'CFMIP_iophy point i lat lat_bds',i,plat_bounds(i,1),rlat(tabij(i)),plat_bounds(i,2)
 
     ENDDO
@@ -417,5 +415,5 @@
       ENDIF 
      ENDDO
-!    print*,'CFMIP_iophy mpi_rank npstn',mpi_rank,npstn
+!    PRINT*,'CFMIP_iophy mpi_rank npstn',mpi_rank,npstn
      IF(.NOT. ALLOCATED(nptabij)) THEN
       ALLOCATE(nptabij(npstn))
@@ -428,5 +426,5 @@
        npproc=npproc+1
        nptabij(npproc)=tabij(ip)
-!      print*,'mpi_rank npproc ip plon plat tabij=',mpi_rank,npproc,ip, &
+!      PRINT*,'mpi_rank npproc ip plon plat tabij=',mpi_rank,npproc,ip, &
 !      plon(ip),plat(ip),tabij(ip)
        npplon(npproc)=plon(ip)
@@ -439,5 +437,5 @@
 !!! print qui sert a reordonner les points stations selon l'ordre CFMIP
 !!! ne pas enlever
-        print*,'iophy_mpi rank ip lon lat',mpi_rank,ip,plon(ip),plat(ip)
+        PRINT*,'iophy_mpi rank ip lon lat',mpi_rank,ip,plon(ip),plat(ip)
 !!!
       ENDIF
@@ -638,5 +636,5 @@
             var%description, var%unit, var%flag(iff), typeecrit)
             IF (prt_level >= 10) THEN
-              WRITE(lunout,*) 'histdef2d: call wxios_add_field_to_file var%name iff: ', &
+              WRITE(lunout,*) 'histdef2d: CALL wxios_add_field_to_file var%name iff: ', &
                               trim(var%name),iff
             ENDIF
@@ -753,5 +751,5 @@
           var%description, var%unit, var%flag(iff), typeecrit)
             IF (prt_level >= 10) THEN
-              WRITE(lunout,*) 'histdef3d: call wxios_add_field_to_file var%name iff: ', &
+              WRITE(lunout,*) 'histdef3d: CALL wxios_add_field_to_file var%name iff: ', &
                               trim(var%name),iff
             ENDIF
@@ -851,5 +849,5 @@
      ELSE
       DO ip=1, npstn
-!     print*,'histwrite2d is_sequential npstn ip name nptabij',npstn,ip,name,nptabij(ip)
+!     PRINT*,'histwrite2d is_sequential npstn ip name nptabij',npstn,ip,name,nptabij(ip)
        IF(nptabij(ip)>=klon_mpi_begin.AND. &
           nptabij(ip)<=klon_mpi_end) THEN
@@ -975,5 +973,5 @@
   INTEGER :: ip
   REAL, ALLOCATABLE, DIMENSION(:) :: fieldok
-  logical, save :: is_active = .true.
+  logical, save :: is_active = .TRUE.
 
   IF (check_dim .AND. is_master) WRITE(lunout,*)'histwrite2d_phy for ',trim(var%name)
@@ -1019,5 +1017,5 @@
         !$omp barrier
         !$omp master
-        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.FALSE.)
         !$omp end master
         !$omp barrier
@@ -1044,5 +1042,5 @@
 
 ! La boucle sur les fichiers:
-      firstx=.true.
+      firstx=.TRUE.
 
       IF (ok_all_xml) THEN
@@ -1082,5 +1080,5 @@
                       write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
                                      iff,trim(var%name)                       
-                      write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, call xios_send_field"
+                      write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, CALL xios_send_field"
                    ENDIF
                    IF (grid_type==regular_lonlat) THEN
@@ -1098,5 +1096,5 @@
                    ENDIF
 
-                   firstx=.false.
+                   firstx=.FALSE.
                 ENDIF
               ENDIF
@@ -1111,5 +1109,5 @@
 !                        IF (iff == iff_beg) THEN
 !                          IF (prt_level >= 10) THEN
-!                            write(lunout,*)"histwrite2d_phy: .NOT.clef_stations(iff) and iff==iff_beg, call xios_send_field"
+!                            write(lunout,*)"histwrite2d_phy: .NOT.clef_stations(iff) and iff==iff_beg, CALL xios_send_field"
 !                          ENDIF
 !                          CALL xios_send_field(var%name, Field2d)
@@ -1135,5 +1133,5 @@
 #ifndef CPP_IOIPSL_NO_OUTPUT 
                        IF (prt_level >= 10) THEN
-                         write(lunout,*)"histwrite2d_phy: clef_stations(iff) and iff==iff_beg, call wxios_write_2D"
+                         write(lunout,*)"histwrite2d_phy: clef_stations(iff) and iff==iff_beg, CALL wxios_write_2D"
                        ENDIF
                        CALL histwrite(nid_files(iff),var%name,itau_iophy,fieldok,npstn,index2d)
@@ -1185,5 +1183,5 @@
   INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
   REAL,ALLOCATABLE, DIMENSION(:,:) :: fieldok
-  logical, save :: is_active = .true.
+  logical, save :: is_active = .TRUE.
 
   IF (check_dim .AND. is_master) WRITE(lunout,*)'histwrite3d_phy for ', trim(var%name)
@@ -1217,5 +1215,5 @@
         !$omp barrier
         !$omp master
-        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.FALSE.)
         !$omp end master
         !$omp barrier
@@ -1247,5 +1245,5 @@
 
 ! BOUCLE SUR LES FICHIERS
-    firstx=.true.
+    firstx=.TRUE.
 
     IF (ok_all_xml) THEN
@@ -1281,5 +1279,5 @@
                   write(lunout,*)'Dans iophy, histwrite3D iff nlev klev firstx', &
                                   iff,nlev,klev, firstx                       
-                  write(lunout,*)'histwrite3d_phy: call xios_send_field for ', &
+                  write(lunout,*)'histwrite3d_phy: CALL xios_send_field for ', &
                                   trim(var%name), ' with iim jjm nlevx = ', &
                                   nbp_lon,jj_nb,nlevx
@@ -1299,5 +1297,5 @@
                 ENDIF
 
-                firstx=.false.
+                firstx=.FALSE.
               ENDIF
             ENDIF
